Glib::Value< std::vector< std::string > > Class Template Reference
Generic Values

Specialization for vectors of strings. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value< std::vector< std::string > >:
[legend]

## Public Types

using | CppType = std::vector< std::string >

## Public Member Functions

void | set (const CppType& data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions

static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Boxed
static GType | value_type ()

## Additional Inherited Members

Protected Member Functions inherited from Glib::ValueBase_Boxed
void | set_boxed (const void* data)
void* | get_boxed () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<>
class Glib::Value< std::vector< std::string > >

Specialization for vectors of strings.

## Member Typedef Documentation

using Glib::Value< std::vector< std::string > >::CppType = std::vector<std::string>

## Member Function Documentation

CppType Glib::Value< std::vector< std::string > >::get | ( |  | ) | const

void Glib::Value< std::vector< std::string > >::set | ( | const CppType& | data | ) |

static GType Glib::Value< std::vector< std::string > >::value_type | ( |  | ) |

static